package com.chelvc.framework.rocketmq.fallback;

/**
 * RocketMQ降级策略枚举
 *
 * @author Woody
 * @date 2024/7/14
 */
public enum RocketMQFallback {
    /**
     * Kafka降级策略
     */
    KAFKA,

    /**
     * 内存降级策略
     */
    MEMORY;
}
